module settings 

  implicit none 

  integer, parameter :: dl= KIND(1.d0)
  real(dl), parameter :: pi = 3.14159265359
  real(dl), parameter :: kmax = 10.0
  integer,parameter :: ikmax = 1000
  integer,parameter :: ikmid = 500
  integer :: kmin = 0.001
  real(dl) :: samplek(1:ikmax)
  real(dl) :: sampledk(1:ikmax)
  logical :: want_weight = .false.
  logical :: use_symmetry
  logical :: use_2D = .true.
  logical :: run_test =.true.
  !clock signal:

  real(dl) :: temp_mu = 2.d0
  real(dl) :: temp_b(2) = (/10.d0,10.d0/)
  real(dl) :: temp_c = 10.d0

contains
  subroutine set_k_values
    integer :: i
    real(dl) :: dk1,dk2
   
    !log grid?
    samplek = 0
    sampledk = 0
    samplek(1) = 0.001
    dk1 = (0.5-samplek(1))/(ikmid)
    dk2 = 0.5/(ikmid)
    !dk  = 1.d0/(ikmax)
    sampledk(1) = dk1
    write(*,*) 1, samplek(1), sampledk(1)    
    do i = 2, ikmax
       if(i .le. ikmid) then 
          samplek(i) = samplek(1)+dk1*(i)
          !samplek(i) = dk*(i)
          sampledk(i)  = dk1
       else
          samplek(i) = samplek(i-1)+dk2
          !samplek(i) = dk*(i)
          sampledk(i)  = dk2
       endif
       
       write(*,'(I4,2E16.7)') i, samplek(i), sampledk(i)       
    enddo 
  end subroutine set_k_values


end module settings 
